gstreamermm: Gst::VorbisEnc Class Reference

# Gst::VorbisEnc Class Reference
[gstreamermm Plugins]

Gst::VorbisEnc - vorbisenc plugin. More...

`#include <vorbisenc.h>`

Inheritance diagram for Gst::VorbisEnc:

List of all members.

## Public Member Functions
virtual | ~VorbisEnc ()
GstVorbisEnc* | gobj ()
| Provides access to the underlying C GObject.
const GstVorbisEnc* | gobj () const
| Provides access to the underlying C GObject.
GstVorbisEnc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy<int> | property_max_bitrate ()
| Specify a maximum bitrate (in bps).
Glib::PropertyProxy_ReadOnly<int> | property_max_bitrate () const
| Specify a maximum bitrate (in bps).
Glib::PropertyProxy<int> | property_bitrate ()
| Attempt to encode at a bitrate averaging this (in bps).
Glib::PropertyProxy_ReadOnly<int> | property_bitrate () const
| Attempt to encode at a bitrate averaging this (in bps).
Glib::PropertyProxy<int> | property_min_bitrate ()
| Specify a minimum bitrate (in bps).
Glib::PropertyProxy_ReadOnly<int> | property_min_bitrate () const
| Specify a minimum bitrate (in bps).
Glib::PropertyProxy<float> | property_quality ()
| Specify quality instead of specifying a particular bitrate.
Glib::PropertyProxy_ReadOnly <float> | property_quality () const
| Specify quality instead of specifying a particular bitrate.
Glib::PropertyProxy<bool> | property_managed ()
| Enable bitrate management engine.
Glib::PropertyProxy_ReadOnly <bool> | property_managed () const
| Enable bitrate management engine.
Glib::PropertyProxy_ReadOnly <Glib::ustring> | property_last_message () const
| The last status message.
## Static Public Member Functions
static Glib::RefPtr<VorbisEnc> | create ()
| Creates a new vorbisenc plugin with a unique name.
static Glib::RefPtr<VorbisEnc> | create (const Glib::ustring& name)
| Creates a new vorbisenc plugin with the given name.
## Protected Member Functions
| VorbisEnc ()
| VorbisEnc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::VorbisEnc> | wrap (GstVorbisEnc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::VorbisEnc - vorbisenc plugin.

Please include <gstreamermm/vorbisenc.h> to use. Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems and the ones that aren't available are not included in the build.

## Constructor& Destructor Documentation

virtual Gst::VorbisEnc::~VorbisEnc | ( |  | ) | `[virtual]`

Gst::VorbisEnc::VorbisEnc | ( |  | ) | `[protected]`

Gst::VorbisEnc::VorbisEnc | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

GstVorbisEnc* Gst::VorbisEnc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstVorbisEnc* Gst::VorbisEnc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstVorbisEnc* Gst::VorbisEnc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

static Glib::RefPtr<VorbisEnc> Gst::VorbisEnc::create | ( |  | ) | `[static]`

Creates a new vorbisenc plugin with a unique name.

static Glib::RefPtr<VorbisEnc> Gst::VorbisEnc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new vorbisenc plugin with the given name.

Glib::PropertyProxy<int> Gst::VorbisEnc::property_max_bitrate | ( |  | ) |

Specify a maximum bitrate (in bps).

Useful for streaming applications. (-1 == disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::VorbisEnc::property_max_bitrate | ( |  | ) | const

Specify a maximum bitrate (in bps).

Useful for streaming applications. (-1 == disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::VorbisEnc::property_bitrate | ( |  | ) |

Attempt to encode at a bitrate averaging this (in bps).

This uses the bitrate management engine

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::VorbisEnc::property_bitrate | ( |  | ) | const

Attempt to encode at a bitrate averaging this (in bps).

This uses the bitrate management engine

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::VorbisEnc::property_min_bitrate | ( |  | ) |

Specify a minimum bitrate (in bps).

Useful for encoding for a fixed-size channel. (-1 == disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<int> Gst::VorbisEnc::property_min_bitrate | ( |  | ) | const

Specify a minimum bitrate (in bps).

Useful for encoding for a fixed-size channel. (-1 == disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<float> Gst::VorbisEnc::property_quality | ( |  | ) |

Specify quality instead of specifying a particular bitrate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<float> Gst::VorbisEnc::property_quality | ( |  | ) | const

Specify quality instead of specifying a particular bitrate.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Gst::VorbisEnc::property_managed | ( |  | ) |

Enable bitrate management engine.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Gst::VorbisEnc::property_managed | ( |  | ) | const

Enable bitrate management engine.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gst::VorbisEnc::property_last_message | ( |  | ) | const

The last status message.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::VorbisEnc> wrap | ( | GstVorbisEnc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- vorbisenc.h